<?xml version="1.0"?>
<?xml-model href="http://download.ros.org/schema/package_format3.xsd" schematypens="http://www.w3.org/2001/XMLSchema"?>
<package format="3">
  <name>xarm_main_control</name>
  <version>0.0.0</version>
  <description>TODO: Package description</description>
  <maintainer email="hugo.mirandaqueiros@epfl.ch">hugo</maintainer>
  <license>TODO: License declaration</license>

  <buildtool_depend>ament_cmake</buildtool_depend>

  <depend>moveit</depend>
  <depend>moveit_ros_planning_interface</depend>
  <depend>rclcpp</depend>
  <depend>std_msgs</depend>
  <depend>geometry_msgs</depend>
  <depend>moveit_msgs</depend>
  <depend>xarm_msgs</depend>
  <depend>xarm_description</depend>
  <depend>xarm_moveit_config</depend>
  <depend>xarm_interfaces</depend>
  <depend>xarm_planner</depend>
  <depend>tf2_ros</depend>
  <depend>tf2</depend>
  <depend>tf2_geometry_msgs</depend>
  <depend>gripper_control</depend>
  <depend>dynamixel_sdk_custom_interfaces</depend>

  <exec_depend>launch</exec_depend>
  <exec_depend>launch_ros</exec_depend>

  <test_depend>ament_lint_auto</test_depend>
  <test_depend>ament_lint_common</test_depend>

  <export>
    <build_type>ament_cmake</build_type>
  </export>
</package>
